//importing geoNaturalEarth1, geopath,geoGraticule
import { geoNaturalEarth1, geoPath, geoGraticule } from 'd3';

// geoGraticule() - for geo-projection of the world map 
const projection = geoNaturalEarth1();
const path = geoPath(projection);
const graticule = geoGraticule();

// adds a path element to the existing SVG 
export const Marks = ({ data: { land, interiors } }) => (
  <g className="marks">
    <path className="sphere" d={path({ type: 'Sphere' })} />
    <path className="graticules" d={path(graticule())} />
    {land.features.map(feature => (
      <path className="land" d={path(feature)} />
    ))}
    <path className="interiors" d={path(interiors)} />
  </g>
);
